Page MenuHomeFreeBSD

rtld: Return error if $ORIGIN for a dlopen-ed library cannot be resolved, instead of killing the process.
ClosedPublic

Authored by kib on Jan 6 2020, 5:10 PM.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kib created this revision.Jan 6 2020, 5:10 PM
kib updated this revision to Diff 66410.Jan 6 2020, 5:13 PM

But still die if the main object $ORIGIN cannot be resolved.

kib added a reviewer: emaste.Jan 8 2020, 9:51 AM
This revision was not accepted when it landed; it landed in state Needs Review.Jan 9 2020, 10:05 AM
This revision was automatically updated to reflect the committed changes.